include:
  - template: Code-Quality.gitlab-ci.yml


stages:
  - build
  - test
  - compile
  - release

create_overall_md:
  stage: build
  image: alpine:3.7
  script:
    - cat technical-reference-main.txt | while read LINE; do cat $LINE >> technical-reference.md ; done
  artifacts:
    expose_as: 'full markdown document'
    paths:
      - technical-reference.md

tests:
  stage: test
  image: node:10
  before_script:
    - npm ci
  script:
    - npx markdownlint -o markdownlint-report.txt technical-reference.md
  allow_failure: true
  artifacts:
    expose_as: 'markdownlint report'
    paths:
      - markdownlint-report.txt
    when: on_failure
  except:
    - tags

create_pdf:
  stage: compile
  image: pandoc/latex
  before_script:
    - pandoc --version
  script:
    - pandoc --template=rdd.latex technical-reference.md -o technical-reference.pdf
  artifacts:
    paths:
      - technical-reference.pdf
  only:
    - master

release:
  stage: release
  image: node:10
  before_script:
    - npm ci
  script:
    - npx semantic-release
  only:
    - master
